Conteníu

# Chr Function

Devuelve'l caráuter que correspuende al códigu de caráuter especificáu.

### Syntax:

          Chr[$](charcode As Integer) As String

### Return type:

String

### Parameters:

charcode: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value. (To support expressions with a nominally negative argument like Chr(&H8000) in a backwards-compatible way, values in the range −32768 to −1 are internally mapped to the range 32768 to 65535.)

When VBA compatibility mode is enabled (Option VBASupport 1), charcode is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Use la función Chr$ pa unviar secuencies de control especiales a una imprentadora o a otra fonte de salida. Tamién pue usalo pa inxertar comines nuna espresión de cadena.

### Error codes:

5 Llamada a procedimientu non válida

6 Llena

An overflow error will occur when VBA compatibility mode is enabled and the expression value is greater than 255.

### Example:

            Sub ExampleChr
                ' Esti exemplu inxerta comines (valor ASCII 34) nuna cadena.
                MsgBox "A " + Chr$(34) + "short" + Chr(34) + " trip."
                ' El mensaxe apaez nel diálogu como: Un "viaxe" curtiu.
                MsgBox Chr(charcode := 64) ' "@" sign
            End Sub

Temes rellacionaos

Asc Function (BASIC)

AscW Function [VBA]

ChrW Function [VBA]